pcl::cuda::PCLCUDABase< CloudT > Class Template Reference

PCL base class. More...

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/common/include/pcl/cuda/pcl_cuda_base.h>`

## Public Types

using | PointCloud = CloudT
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr

## Public Member Functions

| PCLCUDABase ()
| Empty constructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
const PointCloudConstPtr | getInputCloud ()
| Get a pointer to the input host point cloud dataset. More...

## Protected Member Functions

bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Protected Attributes

PointCloudConstPtr | input_
| The input point cloud dataset. More...

## Detailed Description

### template<typename CloudT>
class pcl::cuda::PCLCUDABase< CloudT >

PCL base class.

Implements methods that are used by all PCL objects.

Definition at line 49 of file pcl_cuda_base.h.

## Member Typedef Documentation

## PointCloud

template<typename CloudT >

using pcl::cuda::PCLCUDABase< CloudT >::PointCloud = CloudT

Definition at line 52 of file pcl_cuda_base.h.

## PointCloudConstPtr

template<typename CloudT >

using pcl::cuda::PCLCUDABase< CloudT >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 54 of file pcl_cuda_base.h.

## PointCloudPtr

template<typename CloudT >

using pcl::cuda::PCLCUDABase< CloudT >::PointCloudPtr = typename PointCloud::Ptr

Definition at line 53 of file pcl_cuda_base.h.

## Constructor & Destructor Documentation

## PCLCUDABase()

template<typename CloudT >

pcl::cuda::PCLCUDABase< CloudT >::PCLCUDABase | ( |  | ) |

inline

Empty constructor.

Definition at line 57 of file pcl_cuda_base.h.

## Member Function Documentation

## deinitCompute()

template<typename CloudT >

bool pcl::cuda::PCLCUDABase< CloudT >::deinitCompute | ( |  | ) |

inline protected

This method should get called after finishing the actual computation.

Definition at line 91 of file pcl_cuda_base.h.

## getInputCloud()

template<typename CloudT >

const PointCloudConstPtr pcl::cuda::PCLCUDABase< CloudT >::getInputCloud | ( |  | ) |

inline

Get a pointer to the input host point cloud dataset.

Definition at line 70 of file pcl_cuda_base.h.

References pcl::cuda::PCLCUDABase< CloudT >::input_.

## initCompute()

template<typename CloudT >

bool pcl::cuda::PCLCUDABase< CloudT >::initCompute | ( |  | ) |

inline protected

This method should get called before starting the actual computation.

Definition at line 81 of file pcl_cuda_base.h.

References pcl::cuda::PCLCUDABase< CloudT >::input_.

## setInputCloud()

template<typename CloudT >

virtual void pcl::cuda::PCLCUDABase< CloudT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline virtual

Provide a pointer to the input dataset.

Parameters

  cloud | the const boost shared pointer to a PointCloud message

Definition at line 63 of file pcl_cuda_base.h.

References pcl::cuda::PCLCUDABase< CloudT >::input_.

## Member Data Documentation

## input_

template<typename CloudT >

PointCloudConstPtr pcl::cuda::PCLCUDABase< CloudT >::input_

protected

The input point cloud dataset.

Definition at line 77 of file pcl_cuda_base.h.

Referenced by pcl::cuda::PCLCUDABase< CloudT >::getInputCloud(), pcl::cuda::PCLCUDABase< CloudT >::initCompute(), and pcl::cuda::PCLCUDABase< CloudT >::setInputCloud().

The documentation for this class was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/common/include/pcl/cuda/pcl_cuda_base.h